Generate authentication token
curl --request POST \
--url https://{tenant}/admin/sso \
--header 'Admin-Auth: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"DisplayName": "",
"EmailAddress": "name@somewhere.com",
"ForSection": "dashboard",
"GroupID": "",
"GroupsIDs": null,
"OrgID": "588b4f0bb275ff0001cc7471",
"SSOOnlyForRegisteredUsers": false,
"UserNotAllowed": false
}
'import requests
url = "https://{tenant}/admin/sso"
payload = {
"DisplayName": "",
"EmailAddress": "name@somewhere.com",
"ForSection": "dashboard",
"GroupID": "",
"GroupsIDs": None,
"OrgID": "588b4f0bb275ff0001cc7471",
"SSOOnlyForRegisteredUsers": False,
"UserNotAllowed": False
}
headers = {
"Admin-Auth": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Admin-Auth': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
DisplayName: '',
EmailAddress: 'name@somewhere.com',
ForSection: 'dashboard',
GroupID: '',
GroupsIDs: null,
OrgID: '588b4f0bb275ff0001cc7471',
SSOOnlyForRegisteredUsers: false,
UserNotAllowed: false
})
};
fetch('https://{tenant}/admin/sso', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Message": "SSO Nonce created",
"Meta": "YTNiOGUzZjctYWZkYi00OTNhLTYwODItZTAzMDI3MjM0OTEw",
"Status": "OK"
}{
"Message": "Cannot create an SSO session for an invalid payload: [Error: Org id not found ('588b4f0bb275ff0001cc7471').]",
"Meta": null,
"Status": "Error"
}{
"Message": "Not authorised",
"Meta": null,
"Status": "Error"
}{
"Message": "Failed to save new SSO object to DB",
"Meta": null,
"Status": "Error"
}{
"Message": "Failed to read response body, body empty",
"Meta": null,
"Status": "Error"
}Single Sign On
Generate authentication token
The Dashboard exposes the /admin/sso Dashboard API which allows you to generate a temporary authentication token, valid for 60 seconds.
POST
/
admin
/
sso
Generate authentication token
Authorizations
Api key
Body
application/json
Was this page helpful?
⌘I